"""
arXiv category taxonomy.
"""

CATEGORIES = {
    "cs": {
        "name": "Computer Science",
        "subcategories": {
            "AI": "Artificial Intelligence",
            "CL": "Computation and Language",
            "CC": "Computational Complexity",
            "CE": "Computational Engineering, Finance, and Science",
            "CG": "Computational Geometry",
            "GT": "Computer Science and Game Theory",
            "CV": "Computer Vision and Pattern Recognition",
            "CY": "Computers and Society",
            "CR": "Cryptography and Security",
            "DB": "Databases",
            "DS": "Data Structures and Algorithms",
            "DL": "Digital Libraries",
            "DM": "Discrete Mathematics",
            "DC": "Distributed Computing",
            "ET": "Emerging Technologies",
            "FL": "Formal Languages and Automata Theory",
            "GL": "General Literature",
            "GR": "Graphics",
            "AR": "Hardware Architecture",
            "HC": "Human-Computer Interaction",
            "IR": "Information Retrieval",
            "IT": "Information Theory",
            "LG": "Machine Learning",
            "LO": "Logic in Computer Science",
            "MS": "Mathematical Software",
            "MA": "Multiagent Systems",
            "MM": "Multimedia",
            "NI": "Networking and Internet Architecture",
            "NE": "Neural and Evolutionary Computing",
            "NA": "Numerical Analysis",
            "OS": "Operating Systems",
            "OH": "Other Computer Science",
            "PF": "Performance",
            "PL": "Programming Languages",
            "RO": "Robotics",
            "SI": "Social and Information Networks",
            "SE": "Software Engineering",
            "SD": "Sound",
            "SC": "Symbolic Computation",
            "SY": "Systems and Control",
        }
    },
    "econ": {
        "name": "Economics",
        "subcategories": {
            "EM": "Econometrics",
            "GN": "General Economics",
            "TH": "Theoretical Economics",
        }
    },
    "eess": {
        "name": "Electrical Engineering and Systems Science",
        "subcategories": {
            "AS": "Audio and Speech Processing",
            "IV": "Image and Video Processing",
            "SP": "Signal Processing",
            "SY": "Systems and Control",
        }
    },
    "math": {
        "name": "Mathematics",
        "subcategories": {
            "AG": "Algebraic Geometry",
            "AT": "Algebraic Topology",
            "AP": "Analysis of PDEs",
            "CT": "Category Theory",
            "CA": "Classical Analysis and ODEs",
            "CO": "Combinatorics",
            "AC": "Commutative Algebra",
            "CV": "Complex Variables",
            "DG": "Differential Geometry",
            "DS": "Dynamical Systems",
            "FA": "Functional Analysis",
            "GM": "General Mathematics",
            "GN": "General Topology",
            "GT": "Geometric Topology",
            "GR": "Group Theory",
            "HO": "History and Overview",
            "IT": "Information Theory",
            "KT": "K-Theory and Homology",
            "LO": "Logic",
            "MP": "Mathematical Physics",
            "MG": "Metric Geometry",
            "NT": "Number Theory",
            "NA": "Numerical Analysis",
            "OA": "Operator Algebras",
            "OC": "Optimization and Control",
            "PR": "Probability",
            "QA": "Quantum Algebra",
            "RT": "Representation Theory",
            "RA": "Rings and Algebras",
            "SP": "Spectral Theory",
            "ST": "Statistics Theory",
            "SG": "Symplectic Geometry",
        }
    },
    "physics": {
        "name": "Physics",
        "subcategories": {
            "acc-ph": "Accelerator Physics",
            "ao-ph": "Atmospheric and Oceanic Physics",
            "atom-ph": "Atomic Physics",
            "bio-ph": "Biological Physics",
            "chem-ph": "Chemical Physics",
            "class-ph": "Classical Physics",
            "comp-ph": "Computational Physics",
            "data-an": "Data Analysis, Statistics and Probability",
            "flu-dyn": "Fluid Dynamics",
            "gen-ph": "General Physics",
            "geo-ph": "Geophysics",
            "hist-ph": "History and Philosophy of Physics",
            "ins-det": "Instrumentation and Detectors",
            "med-ph": "Medical Physics",
            "optics": "Optics",
            "ed-ph": "Physics Education",
            "soc-ph": "Physics and Society",
            "plasm-ph": "Plasma Physics",
            "pop-ph": "Popular Physics",
            "space-ph": "Space Physics",
        }
    },
    "q-bio": {
        "name": "Quantitative Biology",
        "subcategories": {
            "BM": "Biomolecules",
            "CB": "Cell Behavior",
            "GN": "Genomics",
            "MN": "Molecular Networks",
            "NC": "Neurons and Cognition",
            "OT": "Other Quantitative Biology",
            "PE": "Populations and Evolution",
            "QM": "Quantitative Methods",
            "SC": "Subcellular Processes",
            "TO": "Tissues and Organs",
        }
    },
    "q-fin": {
        "name": "Quantitative Finance",
        "subcategories": {
            "CP": "Computational Finance",
            "EC": "Economics",
            "GN": "General Finance",
            "MF": "Mathematical Finance",
            "PM": "Portfolio Management",
            "PR": "Pricing of Securities",
            "RM": "Risk Management",
            "ST": "Statistical Finance",
            "TR": "Trading and Market Microstructure",
        }
    },
    "stat": {
        "name": "Statistics",
        "subcategories": {
            "AP": "Applications",
            "CO": "Computation",
            "ME": "Methodology",
            "ML": "Machine Learning",
            "OT": "Other Statistics",
            "TH": "Statistics Theory",
        }
    },
}